Bug 861867 - [RHEVM][backend] [template] Interface <UNKNOWN> appears in events on NIC removal
[RHEVM][backend] [template] Interface <UNKNOWN> appears in events on NIC removal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Muli Salem
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 04:22 EDT by Martin Pavlik
Modified: 2016-02-10 14:49 EST (History)
10 users (show)

See Also:
Fixed In Version: SI21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs for CL 3.0 (71.39 KB, application/x-gzip)
2012-10-01 04:22 EDT, Martin Pavlik
no flags Details
logs for CL 3.1 (33.68 KB, application/x-gzip)
2012-10-01 04:22 EDT, Martin Pavlik
no flags Details
screenshot DC 3.0 (165.03 KB, image/png)
2012-10-01 04:23 EDT, Martin Pavlik
no flags Details
screenshot DC 3.1 (195.05 KB, image/png)
2012-10-01 04:23 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-10-01 04:22:05 EDT
Created attachment 619664 [details]
logs for CL 3.0

Description of problem:
Applies for DC/CL 3.0 as well as foe DC/CL 3.1

When user removes NIC from template following message appears in events:

Interface <UNKNOWN> (Red Hat VirtIO) was removed from Template TestTemp31. (User: admin@internal)

see screenshots


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-18.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1. Create VM template
2. Add NIC to the template 
3. Remove NIC from the template (observe events)
  
Actual results:
Interface <UNKNOWN> appears in events

Expected results:
<UNKNOWN> is replaced by correct interface name

Additional info:
Comment 1 Martin Pavlik 2012-10-01 04:22:35 EDT
Created attachment 619665 [details]
logs for CL 3.1
Comment 2 Martin Pavlik 2012-10-01 04:23:03 EDT
Created attachment 619666 [details]
screenshot DC 3.0
Comment 3 Martin Pavlik 2012-10-01 04:23:38 EDT
Created attachment 619667 [details]
screenshot DC 3.1
Comment 4 Muli Salem 2012-10-03 10:01:47 EDT
Proposed patch in:

http://gerrit.ovirt.org/#/c/8334/

Note You need to log in before you can comment on or make changes to this bug.